Debian Bug report logs - #621029
binutils: ld: unrecognised emulation mode: armelf_linux_eabi

version graph

Package: binutils; Maintainer for binutils is Matthias Klose <doko@debian.org>; Source for binutils is src:binutils.

Reported by: Hector Oron <hector.oron@gmail.com>

Date: Tue, 5 Apr 2011 22:09:01 UTC

Severity: wishlist

Tags: fixed-upstream, patch

Found in version binutils/2.21.0.20110327-2

Fixed in version binutils/2.21.0.20110327-3

Done: Matthias Klose <doko@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://sourceware.org/bugzilla/show_bug.cgi?id=12643

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#621029; Package binutils. (Tue, 05 Apr 2011 22:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <hector.oron@gmail.com>:
New Bug report received and forwarded. Copy sent to Matthias Klose <doko@debian.org>. (Tue, 05 Apr 2011 22:09:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Hector Oron <hector.oron@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: binutils: ld: unrecognised emulation mode: armelf_linux_eabi
Date: Tue, 05 Apr 2011 23:08:30 +0100
Package: binutils
Version: 2.21.0.20110327-2
Severity: wishlist
Tags: patch

Hello,

  While cross building gcc-4.6 for armhf, I got:

/usr/arm-linux-gnueabihf/bin/ld: unrecognised emulation mode: armelf_linux_eabi
Supported emulations: armelf_linux armelf armelfb armelfb_linux
collect2: ld returned 1 exit status

  A proposed tested fix:

--- ld/configure.tgt.orig  2011-04-05 20:22:23.000000000 +0000
+++ ld/configure.tgt       2011-04-05 20:23:35.000000000 +0000
@@ -79,7 +79,7 @@
                        targ_extra_emuls="armelfb armelf armelf_linux"
                        targ_extra_libpath="armelf_linux"
                        ;;
-arm*-*-linux-*eabi)    targ_emul=armelf_linux_eabi
+arm*-*-linux-*eabi*)   targ_emul=armelf_linux_eabi
                        targ_extra_emuls=armelfb_linux_eabi
                        targ_extra_libpath=$targ_extra_emuls
                        ;;
@@ -87,7 +87,7 @@
                        targ_extra_emuls="armelf armelfb armelfb_linux"
                        targ_extra_libpath="armelfb_linux"
                        ;;
-arm*-*-uclinux*eabi)   targ_emul=armelf_linux_eabi
+arm*-*-uclinux*eabi*)  targ_emul=armelf_linux_eabi
                        targ_extra_emuls=armelfb_linux_eabi
                        targ_extra_libpath=$targ_extra_emuls
                        ;;

Best regards

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.38-2-amd64 (SMP w/8 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages binutils depends on:
ii  libc6                   2.11.2-13        Embedded GNU C Library: Shared lib
ii  libgcc1                 1:4.5.2-6        GCC support library
ii  libstdc++6              4.5.2-6          The GNU Standard C++ Library v3
ii  zlib1g                  1:1.2.3.4.dfsg-3 compression library - runtime

binutils recommends no packages.

Versions of packages binutils suggests:
pn  binutils-doc                  <none>     (no description available)

-- no debconf information




Set Bug forwarded-to-address to 'http://sourceware.org/bugzilla/show_bug.cgi?id=12643'. Request was from Hector Oron <zumbi@debian.org> to control@bugs.debian.org. (Wed, 06 Apr 2011 13:11:58 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#621029; Package binutils. (Fri, 08 Apr 2011 16:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <hector.oron@gmail.com>:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@debian.org>. (Fri, 08 Apr 2011 16:21:07 GMT) Full text and rfc822 format available.

Message #12 received at 621029@bugs.debian.org (full text, mbox):

From: Hector Oron <hector.oron@gmail.com>
To: 621029@bugs.debian.org
Subject: Re: Bug#621029: binutils: ld: unrecognised emulation mode: armelf_linux_eabi
Date: Fri, 8 Apr 2011 17:19:31 +0100
Hi,

On Tue, Apr 05, 2011 at 11:08:30PM +0100, Hector Oron wrote:
> Package: binutils
> Version: 2.21.0.20110327-2
> Severity: wishlist
> Tags: patch
> 
> Hello,
> 
>   While cross building gcc-4.6 for armhf, I got:
> 
> /usr/arm-linux-gnueabihf/bin/ld: unrecognised emulation mode: armelf_linux_eabi
> Supported emulations: armelf_linux armelf armelfb armelfb_linux
> collect2: ld returned 1 exit status
> 
>   A proposed tested fix:

Just letting you know, patch is now accepted upstream binutils.
 
http://sourceware.org/cgi-bin/cvsweb.cgi/src/ld/ChangeLog.diff?cvsroot=src&r1=1.2308&r2=1.2309
http://sourceware.org/cgi-bin/cvsweb.cgi/src/ld/configure.tgt.diff?cvsroot=src&r1=1.244&r2=1.245

Cheers




Added tag(s) fixed-upstream. Request was from Hector Oron <zumbi@debian.org> to control@bugs.debian.org. (Fri, 08 Apr 2011 16:21:11 GMT) Full text and rfc822 format available.

Reply sent to Matthias Klose <doko@debian.org>:
You have taken responsibility. (Sun, 10 Apr 2011 17:43:11 GMT) Full text and rfc822 format available.

Notification sent to Hector Oron <hector.oron@gmail.com>:
Bug acknowledged by developer. (Sun, 10 Apr 2011 17:43:12 GMT) Full text and rfc822 format available.

Message #19 received at 621029-close@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: 621029-close@bugs.debian.org
Subject: Bug#621029: fixed in binutils 2.21.0.20110327-3
Date: Sun, 10 Apr 2011 17:17:39 +0000
Source: binutils
Source-Version: 2.21.0.20110327-3

We believe that the bug you reported is fixed in the latest version of
binutils, which is due to be installed in the Debian FTP archive:

binutils-dev_2.21.0.20110327-3_i386.deb
  to main/b/binutils/binutils-dev_2.21.0.20110327-3_i386.deb
binutils-doc_2.21.0.20110327-3_all.deb
  to main/b/binutils/binutils-doc_2.21.0.20110327-3_all.deb
binutils-gold_2.21.0.20110327-3_i386.deb
  to main/b/binutils/binutils-gold_2.21.0.20110327-3_i386.deb
binutils-multiarch_2.21.0.20110327-3_i386.deb
  to main/b/binutils/binutils-multiarch_2.21.0.20110327-3_i386.deb
binutils-source_2.21.0.20110327-3_all.deb
  to main/b/binutils/binutils-source_2.21.0.20110327-3_all.deb
binutils_2.21.0.20110327-3.diff.gz
  to main/b/binutils/binutils_2.21.0.20110327-3.diff.gz
binutils_2.21.0.20110327-3.dsc
  to main/b/binutils/binutils_2.21.0.20110327-3.dsc
binutils_2.21.0.20110327-3_i386.deb
  to main/b/binutils/binutils_2.21.0.20110327-3_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 621029@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Matthias Klose <doko@debian.org> (supplier of updated binutils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 10 Apr 2011 17:23:40 +0200
Source: binutils
Binary: binutils binutils-dev binutils-multiarch binutils-gold binutils-hppa64 binutils-spu binutils-doc binutils-source
Architecture: source all i386
Version: 2.21.0.20110327-3
Distribution: unstable
Urgency: high
Maintainer: Matthias Klose <doko@debian.org>
Changed-By: Matthias Klose <doko@debian.org>
Description: 
 binutils   - The GNU assembler, linker and binary utilities
 binutils-dev - The GNU binary utilities (BFD development files)
 binutils-doc - Documentation for the GNU assembler, linker and binary utilities
 binutils-gold - The (experimental) GNU gold linker utility
 binutils-hppa64 - The GNU assembler, linker and binary utilities targeted for hppa6
 binutils-multiarch - Binary utilities that support multi-arch targets
 binutils-source - The GNU assembler, linker and binary utilities (source)
 binutils-spu - The GNU assembler, linker and binary utilities targeted for spu-e
Closes: 621029
Changes: 
 binutils (2.21.0.20110327-3) unstable; urgency=high
 .
   * Fix architecture field for binutils-gold (powerpcspe).
   * Add support for arm-*-gnueabihf targets. Closes: #621029.
   * Fix PR ld/12654: Properly handle R_386_TLS_LDO_32 for PIE. LP: #663294.
   * Fix PR ld/12637, reloc overflow for R_MIPS_TLS_LDM (Richard Sandiford),
     taken from the trunk.
Checksums-Sha1: 
 783f352a60ce3964963c7e611a03ce8f6af2af52 1483 binutils_2.21.0.20110327-3.dsc
 717f6692478ef255b01fc80bb1c8a11750cb83d5 63243 binutils_2.21.0.20110327-3.diff.gz
 6956b2fa02df65043c5c68ad24bd1882a9eabb19 565174 binutils-doc_2.21.0.20110327-3_all.deb
 ce95bb381ec238e352b31ab3912589a750d96849 13222836 binutils-source_2.21.0.20110327-3_all.deb
 c79a712b3e721994c88f5fd755aa1ed1546c6746 4194538 binutils_2.21.0.20110327-3_i386.deb
 12e269e98935d336dc9b84b3cd969660383dfde8 3867810 binutils-dev_2.21.0.20110327-3_i386.deb
 42ab3c4b4468d2acff8786d6383ad267ad1d345e 2062950 binutils-multiarch_2.21.0.20110327-3_i386.deb
 b9b2efca0a87f06167d2f6eafa7e6a7a97ceed25 1386 binutils-gold_2.21.0.20110327-3_i386.deb
Checksums-Sha256: 
 36c997674370278128b434f6130d4ca62233010ebfb63eedb0ad34528e795c55 1483 binutils_2.21.0.20110327-3.dsc
 95b2901596ac747b0d5e20dcd008d39fdc86f9c6c79b424ffbf1a20ce5593477 63243 binutils_2.21.0.20110327-3.diff.gz
 29c045c00ea77d6ca9ac2ca990631a3813dc64a946a6ab85dd8ad5c99ca6693c 565174 binutils-doc_2.21.0.20110327-3_all.deb
 4882cfa6d234a5dfe2afd8c10dc6e1a446cedc4c969cd1c9d319ac504a9789f5 13222836 binutils-source_2.21.0.20110327-3_all.deb
 b650fac822573b48db66d54c491f0da5c221cc1d7a5e1600783aee88fe67d2aa 4194538 binutils_2.21.0.20110327-3_i386.deb
 aa9d2e584a6be58a6b053d5ae2d8af6b92215cb692f1ecb8363969f5d3b5e184 3867810 binutils-dev_2.21.0.20110327-3_i386.deb
 0260499550549bfd1897ad3fe61073d4af94d2665ac9c1d36a38e024049750b8 2062950 binutils-multiarch_2.21.0.20110327-3_i386.deb
 870aff50b40974a2db2cfb38fcde9dc007f9b67ba9021a39add0259eef3380dd 1386 binutils-gold_2.21.0.20110327-3_i386.deb
Files: 
 71f263993ee2fc6ff23cab99031e3d9d 1483 devel optional binutils_2.21.0.20110327-3.dsc
 9c4b1d5a7f81ecaa0661ddd4ce335920 63243 devel optional binutils_2.21.0.20110327-3.diff.gz
 8f4102cd0657ef40ea65bce634b23b59 565174 doc optional binutils-doc_2.21.0.20110327-3_all.deb
 7fdf1d09c84af9b7987e48ed2a9a5c6d 13222836 devel optional binutils-source_2.21.0.20110327-3_all.deb
 1b6efcf6944b32fd865c9b52ca405848 4194538 devel optional binutils_2.21.0.20110327-3_i386.deb
 2cfc9b03e602d5a7c6db8ddd352a7035 3867810 devel extra binutils-dev_2.21.0.20110327-3_i386.deb
 41288fd7cadda5fa58f476c3a9e98fba 2062950 devel extra binutils-multiarch_2.21.0.20110327-3_i386.deb
 6b7497b66e11f497afc9dc23c62661f8 1386 devel extra binutils-gold_2.21.0.20110327-3_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk2h370ACgkQStlRaw+TLJxuggCgh591TMEwcaV1V3b2SkO6NqXv
4ToAn2k+POwFswN3UFaGp0buCkLbetP7
=IYpm
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 17 May 2011 07:43:20 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 01:31:44 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.